Topic: installing Ruby and getting errors

I have OSX Snow Leopard and am trying to install Ruby on my computer for Rails.  I have already created a repository at Git and installed RVM.  While trying to install Ruby it comes up with errors and I found that I have to download the most recent version of Xcode to possibly fix this issue.  The only version available online is for Lion so I can't use it, and I don't want to have to pay 100 dollars for the developer account, is there anything else I can do?  I'm using Ruby on Rails 3 by Hartl as my guide to set up btw.  Thanks for any help.

Re: installing Ruby and getting errors

I have used this, https://github.com/kennethreitz/osx-gcc-installer, in the past. Basically, you just need a compiler.